$(document).ready(function () {
    var tableAttachment = $('#tblScheduleAttachment').DataTable({
        responsive: false,
        "scrollX": true,
        "pageLength": 100,
        "order": [],
        "columns": [
            { "data": "custome_order_no" },
            { "data": "factory_po_num" },
            { "data": "shipment_id" },
            { "data": "edit", className: "edit", orderable: false },
            { "data": "view", className: "view", orderable: false },
            { "data": "delete", className: "delete", orderable: false },
        ],
        columnDefs: [

        ],
    });

    allSpInsLoadData();
    checkURLPara();
});

function checkURLPara() {
    var pathname = window.location.pathname; //
    const path = pathname.split("/");
    let lastElement = path.pop();

    if (lastElement != 'specInsForLoadingList') {

        return $('#tblScheduleAttachment').DataTable().search(lastElement).draw();
    } else {
        return "";
    }
}

function allSpInsLoadData() {
    $.ajax({
        type: "GET",
        url: "/sd/specInsForLoadingController/allSchedule",
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var result = response.data.result;
                var data = [];
                for (var i = 0; i < result.length; i++) {
                    var sp_ins_loading_id = response.data.result[i]["sp_ins_loading_id"];

                    // if (seen == 0) {
                    //     var seenIcon = '<span class="badge badge-danger"><i class="fa fa-times" aria-hidden="true"></i></span>'
                    // } else {
                    //     var seenIcon = '<span class="badge badge-success"><i class="fa fa-check" aria-hidden="true"></i></span>'
                    // }
                    // switch (status) {
                    //     case 0:
                    //         StatusIcon = '<span class="badge badge-primary">New</span>';
                    //         break;
                    //     case 1:
                    //         StatusIcon = '<span class="badge badge-success">Approved</span>';
                    //         break;
                    //     case 2:
                    //         StatusIcon = '<span class="badge badge-info">Revise</span>';
                    //         break;
                    //     case 3:
                    //         StatusIcon = '<span class="badge badge-danger">Reject</span>';
                    // }


                    data.push({
                        "custome_order_no": result[i].customer_order_id,
                        "factory_po_num": result[i].factory_po,
                        "shipment_id": result[i].shipment_id,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + sp_ins_loading_id + ');"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button class="btn btn-success" onclick="view(' + sp_ins_loading_id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="_delete(' + sp_ins_loading_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                    });
                }
                var table = $('#tblScheduleAttachment').DataTable();
                table.clear();
                table.rows.add(data).draw();
            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);

        },

    });
}

function view(id) {
    location.href = "/sd/specInsForLoading?id=" + id + "&action=view";
}

function edit(id) {
    location.href = "/sd/specInsForLoading?id=" + id + "&action=edit";
}


function _delete(id) {
    showAlert("Are You Sure?", id);
}

function showAlert(message, id) {
    swal({
        title: message,
        text: "Once deleted, you will not be able to recover this record!",
        icon: "warning",
        buttons: true,
        dangerMode: true,
    });

    $(".swal-button--confirm").on("click", function () {
        $.ajax({
            type: "DELETE",
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            url: "/sd/specInsForLoadingController/delete/" + id,
            success: function (response) {
                console.log(response);
                allSpInsLoadData();
            },
            error: function (data) {
                console.log(data);
            },
        });
    });
}

/**
 * showSuccessMessage
 * This function is used to show success message.
 * @param message This is the paramter to require message content
 */
function showSuccessMessage(message) {
    toastr.success(message);
}

/**
 * showWarningMessage
 * This function is used to show warning message.
 * @param message This is the paramter to require message content
 */
function showWarningMessage(message) {
    toastr.warning(message);
}

/**
 * showErrorMessage
 * This function is used to show error message.
 * @param message This is the paramter to require message content
 */
function showErrorMessage() {
    toastr.error("Something went wrong");
}
