@extends('sd::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('sd:css/settings.css') }}" type="text/css">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <!--<script>
        var user_type = "{{ Auth::user()->user_type }}";

        var status_permission = "{{ Auth::user()->can('pp_order_list_status') }} ";
        var edit_permission = "{{ Auth::user()->can('pp_order_list_edit') }} ";
        var view_permission = "{{ Auth::user()->can('pp_order_list_view') }} ";
        var delete_permission = "{{ Auth::user()->can('pp_order_list_delete') }} ";
    </script>!-->
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3></h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">Pages</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Inform USA office List</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card ">
                <div class="card-body">
                    <h6 class="card-title">Inform USA office List</h6>
                    <div class="row">
                    </div>
                    {{ csrf_field() }}
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <!-- Required for Responsive -->
                            <table id="tblScheduleAttachment"
                                class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid"
                                aria-describedby="example1_info">
                                <thead>
                                    <tr>
                                        <th class="custome_order_no">Customer Order No</th>
                                        <th class="factory_po_num">Factory PO number</th>
                                        <th class="shipment_id">Shipment ID</th>
                                        <th class="edit">Edit</th>
                                        <th class="view">View</th>
                                        <th class="delete">Delete</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
    <script src="{{ url('assets/js/examples/datatable.js') }}"></script>
    <script src="{{ Module::asset('sd:js/svr.js') }}?random=<?php echo uniqid(); ?>"></script>
    <script src="{{ Module::asset('sd:js/inform_usa_office_list.js') }}?random=<?php echo uniqid(); ?>"></script>

    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>
    <!-- Sweet alert -->
    <script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
@endsection
